    import MdSeedRunner from 'mongoose-data-seed/src/lib/core/md-seed-runner.js'

public class | source

# MdSeedRunner

mongoose-data-seed runner

## Static Member Summary

Static Public Members
public static | operations: Object MdSeedRunner operations constants |

## Constructor Summary

Public Constructor
public | constructor(connect: Function<Promise>, dropdb: Function<Promise>, seedersList: Map<string, Function>) Creates MdSeedRunner |

## Static Public Members

### public static operations: Object source

MdSeedRunner operations constants

#### Properties:

Name | Type | Attribute | Description
START | string |  | MdSeedRunner starts.
SUCCESS | string |  | MdSeedRunner succeed.
ERROR | string |  | MdSeedRunner finished with an error.

## Public Constructors

### public constructor(connect: Function<Promise>, dropdb: Function<Promise>, seedersList: Map<string, Function>) source

Creates MdSeedRunner

#### Params:

Name | Type | Attribute | Description
connect | Function<Promise> |  | Connect to mongodb implementation
dropdb | Function<Promise> |  | Drop/Clear the database implementation
seedersList | Map<string, Function> |  | key=Seeder name | value=Seeder implementation